clc;clear;close all;
% Load data in workspace (High, Low, Open and Close of a security)
% These data concern a 5-minute bar of Italian Futures (13 July 2006) 
load candlestickdata
% Plot candlestick chart (column vectors). To use this function Matlab
% Financial Toolbox is required.
candle(H,L,C,O)
% Now I am going to find the indices of positions where the high123 pattern
% has occurred
[trading_vector] = p_high123(O,H,L,C);
% This is just one pattern. Other patterns available are:
% p_3lr2        p_gapdnc      p_longtailrd  p_obb         
% p_2h          p_4dcr        p_gapupr      p_low123      p_pb          
% p_2ic         p_bwr         p_high123     p_low123bis   p_v4c         
% p_3dr         p_down5c      p_high123bis  p_mv4gapr     p_wbr         
% p_3lr         p_gamma       p_lambda      p_nv          
% Example:
% [trading_vector] = p_mv4gapr(O,H,L,C);

% Display some information
disp(' ');
disp('Number of patterns found:');
disp(length(trading_vector));
disp(' ');
for ii=1:length(trading_vector)
    c_b = trading_vector(ii);          % position of current bar
    disp('Pattern recognized at position:');
    disp(c_b);
end
disp('Try to see in the candlestick chart');
disp('what happens at the detected bars ;)');
% p_high123 is a sell-pattern (short): see what happens in image 
% pattern_123high.jpg at bar number 45.
% 
%
% In order to obtain the complete source code please visit 
% http://www.advancedsourcecode.com/stockpredictionpricepatterns.asp 
% or email to luigi.rosa@tiscali.it. 

% Luigi Rosa
% Via Centrale 35
% 67042 Civita Di Bagno
% L'Aquila - ITALY
% mobile +39 3207214179
% email luigi.rosa@tiscali.it
% website http://www.advancedsourcecode.com
%
